Bug 868378 - "Failed to add/activate connection" for PCMCIA / pccard
"Failed to add/activate connection" for PCMCIA / pccard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 12:29 EDT by Mads Kiilerich
Modified: 2013-07-31 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:40:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
annotated /var/log/messages (25.81 KB, text/plain)
2012-10-31 09:53 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2012-10-19 12:29:12 EDT
On a f17 system Mobile Broadband with USB "Option" modem works fine.

But with PCMCIA Sierra Wireless AirCard 850 I get the following error when activating it:

** (nm-applet:1441): WARNING **: Failed to add/activate connection: (1) Creating object for path '/org/freedesktop/NetworkManager/ActiveConnection/6' failed in libnm-glib.

** (nm-applet:1441): WARNING **: async_got_type: could not read properties for /org/freedesktop/NetworkManager/ActiveConnection/6: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

No message pops up the first time, but second time I try the first WARNING pops up in a message box.

The same errors are reported in bug 852792#c12 - could there be something that should backported? Or do both occurrences just have in common that some other problems reveals a third unresolved problem?


# pccardctl ident
Socket 0:
  product info: "Sierra Wireless", "AC850", "3G Network Adapter", "R1"
  manfid: 0x0192, 0x0710
  function: 2 (serial)

[ 3215.088100] pcmcia_socket pcmcia_socket0: pccard: PCMCIA card inserted into slot 0
[ 3215.088359] pcmcia 0.0: pcmcia: registering new device pcmcia0.0 (IRQ: 19)
[ 3215.102853] pcmcia_socket pcmcia_socket0: Using replacement CIS
[ 3215.102893] serial_cs 0.0: trying to set up [0x0192:0x0710] (pfc: 0, multi: 1, quirk:   (null))
[ 3215.164240] 0.0: ttyS1 at I/O 0x2f8 (irq = 19) is a 16550A

kernel-PAE-3.6.2-4.fc17.i686
NetworkManager-0.9.4.0-9.git20120521.fc17.i686
pcmciautils-018-2.fc17.i686
Comment 1 Mads Kiilerich 2012-10-30 12:34:23 EDT
See also Bug 868407 - udev 30s timeout and worker killing with pcmcia gsm card
Comment 2 Jirka Klimes 2012-10-31 05:43:32 EDT
Would you grab /var/log/messages file for us to see if NM/MM sees the card?
Comment 3 Mads Kiilerich 2012-10-31 09:53:46 EDT
Created attachment 636142 [details]
annotated /var/log/messages

I could choose 'New Mobile Broadband (GSM) Connection' even though the broadband wasn't "enabled" because the SIM was broken (Bug 871815 ). That might be OK, but I notice that the first page in the wizard didn't show any modem ... but I could continue anyway. The log shows a lot of failed assertions.

Please see inline comments.


Trying to grok this I also filed:
Bug 871809 - broadband connection with pcmcia AirCard 850 doesn't work
Bug 871815 - Mobile Broadband with bad/missing SIM card gives no indication what the problem could be
- which seems to be different problems.
Comment 4 Fedora End Of Life 2013-07-03 18:03:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:40:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.